Skip to main content
GET
/
hotels
/
netstorming
/
{netstormingId}
Get hotel by Netstorming ID
curl --request GET \
  --url https://connect.valpashotels.com/hotels/netstorming/{netstormingId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://connect.valpashotels.com/hotels/netstorming/{netstormingId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://connect.valpashotels.com/hotels/netstorming/{netstormingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "00391351-e308-4aae-8b66-d868ebb37ff3",
  "name": "Paris Marriott Rive Gauche Hotel & Conference Center",
  "description": "Surrounded by diverse attractions, Paris Marriott Rive Gauche Hotel is a stylish haven in an iconic travel destination.",
  "address": "17 Boulevard Saint Jacques, 75014 Paris France",
  "latitude": 48.831917,
  "longitude": 2.340172,
  "language": null,
  "room_count": null,
  "images": [
    {
      "url": "https://misxceaqoppcaiaitpkj.supabase.co/storage/v1/object/public/hotel-images/00391351-e308-4aae-8b66-d868ebb37ff3/1.jpg",
      "caption": "Great Room Lobby"
    },
    {
      "url": "https://misxceaqoppcaiaitpkj.supabase.co/storage/v1/object/public/hotel-images/00391351-e308-4aae-8b66-d868ebb37ff3/2.jpg",
      "caption": "Palyma Bar"
    },
    {
      "url": "https://misxceaqoppcaiaitpkj.supabase.co/storage/v1/object/public/hotel-images/00391351-e308-4aae-8b66-d868ebb37ff3/3.jpg",
      "caption": "Brasserie Restaurant"
    }
  ],
  "certified": true,
  "certified_from": null,
  "certified_until": null,
  "certification_url": "https://valpashotels.com",
  "netstorming_id": "45373"
}
{
"error": "Unauthorized"
}
{
"error": "Hotel not found"
}
{
"error": "Internal server error"
}

Authorizations

x-api-key
string
header
required

Path Parameters

netstormingId
string
required

Netstorming integration identifier

Example:

"45373"

Response

Hotel found

id
string
required

Unique hotel identifier

Example:

"00391351-e308-4aae-8b66-d868ebb37ff3"

name
string
required

Hotel name

Example:

"Grand Helsinki Hotel"

description
string | null
required

Marketing description of the hotel (null if not available)

Example:

"A refined stay in the heart of Helsinki, steps from the central railway station."

language
string | null
required

Primary language at the hotel (ISO 639-1 code)

Example:

"fi"

images
object[]
required

Hotel photos (up to 3), served from the Valpas CDN. Empty array if no photos are available.

Example:
[
{
"url": "https://misxceaqoppcaiaitpkj.supabase.co/storage/v1/object/public/hotel-images/00391351-e308-4aae-8b66-d868ebb37ff3/1.jpg",
"caption": "Great Room Lobby"
}
]
certified
boolean
required

Whether the hotel holds a current Valpas certification

Example:

true

certified_from
string<date> | null
required

Date when the hotel's Valpas certification becomes valid (YYYY-MM-DD)

Example:

"2026-01-15"

certified_until
string<date> | null
required

Date when the hotel's Valpas certification expires (YYYY-MM-DD)

Example:

"2026-03-30"

certification_url
string<uri> | null
required

Link target for the Valpas certification badge (null when the hotel is not certified)

Example:

"https://valpashotels.com"

netstorming_id
string | null
required

Netstorming integration identifier

Example:

"45373"

address
string | null

Street address of the hotel

Example:

"Mannerheimintie 1, 00100 Helsinki"

latitude
number | null

Geographic latitude in decimal degrees

Example:

60.1699

longitude
number | null

Geographic longitude in decimal degrees

Example:

24.9384

room_count
integer | null

Total number of rooms (null if not configured)

Example:

85